Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031904
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2016-01-15 11:472016-03-17 10:54
ReportermaiteView Statuspublic 
Assigned Tocaristu 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q2
StatusclosedFix in branchFixed in SCM revisiona4e7ab3c00b3
ProjectionnoneETAnoneTarget Version3.0PR16Q2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031904: "Filter on change" option set to N in Grid Configuration at Window/Tab/Field Level does not work

Description"Filter on change" option set to N in Grid Configuration at Window/Tab/Field Level does not work
Steps To Reproduce1. As System Administrator, access Grid Configuration at Window/Tab/Field Level and configure:
  * tab= Order Invoices - Order Invoice P&E
  * Filter on change= no
2. Logout and login
3. Access Payment In window, run Add Details process and clean default filtering criteria in Order/Invoice grid. Start typing any Invoice document number and realize that filtering is performed before change focus
Proposed SolutionFollowing changes provided by Augusto solve problem for standard windows, but still P&E tabs are not working with these changes:


--- a/modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-text.js
+++ b/modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-text.js
@@ -128,7 +128,7 @@
 
   init: function () {
     var field = this.grid.getField(this.name);
- if (field && field.gridProps && field.gridProps.filterOnChange === false) {
+ if (field && field.gridProps && field.gridProps.filterEditorProperties && field.gridProps.filterEditorProperties.filterOnChange === false) {
       this.actOnKeypress = false;
     }
     this.Super('init', arguments);
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0028284 closedAugustoMauch Grid Configuration for High Volume Windows 
related to design defect 0032053 acknowledgedplatform Grid Configuration -> Filter on change option applies only to text fields 

-  Notes
(0083390)
hgbot (developer)
2016-01-19 08:51

Repository: erp/devel/pi
Changeset: a4e7ab3c00b3c1147d8d540cd51a4f62193b0e94
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue Jan 19 08:50:03 2016 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a4e7ab3c00b3c1147d8d540cd51a4f62193b0e94 [^]

fixes issue 31904: 'Filter on change' option set to N does not work

The text items were not accessing properly to the 'filter on change' property. For P&E grids an additional problem was happening: the value of a variable called actOnKeypress used to disable/enbale the filtering on change was being overriden by the evaluateDisplayLogicForGridColumns() function. Also, the filter when pressing enter was not being working neither because the editFormDefaults values were not being used properly in P&E.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-text.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0083393)
caristu (developer)
2016-01-19 10:05

Created new test into TestLink to track this functionality: https://testlink.openbravo.com/testlink/linkto.php?tprojectPrefix=Communit&item=testcase&id=Communit-9984 [^]
(0083717)
alostale (developer)
2016-01-29 09:48

code reviewed

Tested with filter on changed active and inactive for standard window and P&E grid in text fields
(0085053)
hudsonbot (developer)
2016-03-17 10:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-01-15 11:47 maite New Issue
2016-01-15 11:47 maite Assigned To => platform
2016-01-15 11:47 maite Modules => Core
2016-01-15 11:47 maite Triggers an Emergency Pack => No
2016-01-15 11:49 maite Proposed Solution updated
2016-01-15 11:49 maite Issue Monitored: networkb
2016-01-15 12:50 alostale Status new => acknowledged
2016-01-18 09:49 caristu Assigned To platform => caristu
2016-01-18 09:49 caristu Status acknowledged => scheduled
2016-01-19 08:51 hgbot Checkin
2016-01-19 08:51 hgbot Note Added: 0083390
2016-01-19 08:51 hgbot Status scheduled => resolved
2016-01-19 08:51 hgbot Resolution open => fixed
2016-01-19 08:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a4e7ab3c00b3c1147d8d540cd51a4f62193b0e94 [^]
2016-01-19 08:52 caristu Review Assigned To => alostale
2016-01-19 08:52 caristu Issue Monitored: alostale
2016-01-19 10:05 caristu Note Added: 0083393
2016-01-29 09:48 alostale Note Added: 0083717
2016-01-29 09:48 alostale Status resolved => closed
2016-01-29 09:48 alostale Fixed in Version => 3.0PR16Q2
2016-01-29 09:56 alostale Relationship added related to 0028284
2016-01-29 10:00 alostale Relationship added related to 0032053
2016-03-17 10:54 hudsonbot Checkin
2016-03-17 10:54 hudsonbot Note Added: 0085053


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker